
# db's for reactive hibernate
quarkus.hibernate-orm.mssql.active=false
quarkus.hibernate-orm.ora.active=false

quarkus.hibernate-orm.blocking=false
quarkus.hibernate-orm.request-scoped.enabled=false
quarkus.hibernate-orm.mssql.packages=dmo.fs.db.dodex.entities
quarkus.hibernate-orm.mssql.datasource=mssql
quarkus.hibernate-orm.mssql.schema-management.strategy=validate

quarkus.datasource.mssql.devservices.enabled=false
quarkus.datasource.mssql.db-kind=mssql
quarkus.datasource.mssql.jdbc=false
quarkus.datasource.mssql.reactive=true
#-----------------> Change username/password/url as needed <------------------
quarkus.datasource.mssql.username=dodex
quarkus.datasource.mssql.password=Sqlserver2
quarkus.datasource.mssql.reactive.url=sqlserver://localhost:1433/dodex
quarkus.datasource.mssql.reactive.mssql.ssl=false
#quarkus.datasource.mssql.active=false

quarkus.datasource.mssql.jdbc.initial-size=3
quarkus.datasource.mssql.reactive.max-size=10
quarkus.datasource.mssql.reactive.reconnect-attempts=1

quarkus.hibernate-orm.ora.packages=dmo.fs.db.dodex.entities
quarkus.hibernate-orm.ora.datasource=ora
quarkus.hibernate-orm.ora.schema-management.strategy=validate

quarkus.datasource.ora.devservices.enabled=false
quarkus.datasource.ora.db-kind=oracle
quarkus.datasource.ora.jdbc=false
quarkus.datasource.ora.reactive=true
#-----------------> Change username/password/url as needed <------------------
quarkus.datasource.ora.username=dodex
quarkus.datasource.ora.password=dodex2
quarkus.datasource.ora.reactive.url=oracle:thin:@localhost:1521/XEPDB1
#quarkus.datasource.ora.active=false

quarkus.datasource.ora.jdbc.initial-size=3
quarkus.datasource.ora.reactive.max-size=10
quarkus.datasource.ora.reactive.reconnect-attempts=1
#quarkus.datasource.ora.reactive.name=ora
#----------------------------------------------------------------

%dev.quarkus.datasource.dev-ui.allow-sql=true
